For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create and Update Entity APIs

post

Create entity

Path parameters
rolestringRequired
Body

Something or someone who owns an account, or who interacts directly or indirectly with the system.

affiliationstring · enumRequired

Describes the relationship the entity has with XYB.

Possible values:
referencestringOptional

Possibly a company number, a service identifier or an employee code

typestring · enumRequired

The type of the entity; determines how any entity reference is interpreted.

Possible values:
Responses
200

Response to /api/v1/{role}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
post/api/v1/{role}
POST /api/v1/{role} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "affiliation": "CUSTOMER",
  "aspects": [
    {
      "aspect": {},
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "relation": "text"
    }
  ],
  "reference": "text",
  "type": "INDIVIDUAL"
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "entity": {
    "affiliation": "CUSTOMER",
    "aspects": [
      {
        "aspect": {},
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "relation": "text"
      }
    ],
    "reference": "text",
    "type": "INDIVIDUAL"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_modified": "2026-01-01T00:00:00.000Z",
  "reference": "text",
  "revision": 1,
  "role": "CUSTOMER",
  "state": "VALID"
}
put

Update entity

Path parameters
rolestringRequired
Body

Something or someone who owns an account, or who interacts directly or indirectly with the system.

affiliationstring · enumRequired

Describes the relationship the entity has with XYB.

Possible values:
referencestringOptional

Possibly a company number, a service identifier or an employee code

typestring · enumRequired

The type of the entity; determines how any entity reference is interpreted.

Possible values:
Responses
200

Response to /api/v1/{role}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
put/api/v1/{role}
PUT /api/v1/{role} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "affiliation": "CUSTOMER",
  "aspects": [
    {
      "aspect": {},
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "relation": "text"
    }
  ],
  "reference": "text",
  "type": "INDIVIDUAL"
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "entity": {
    "affiliation": "CUSTOMER",
    "aspects": [
      {
        "aspect": {},
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "relation": "text"
      }
    ],
    "reference": "text",
    "type": "INDIVIDUAL"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_modified": "2026-01-01T00:00:00.000Z",
  "reference": "text",
  "revision": 1,
  "role": "CUSTOMER",
  "state": "VALID"
}
patch

Patch entity

Path parameters
rolestringRequired
Body

Something or someone who owns an account, or who interacts directly or indirectly with the system.

affiliationstring · enumRequired

Describes the relationship the entity has with XYB.

Possible values:
referencestringOptional

Possibly a company number, a service identifier or an employee code

typestring · enumRequired

The type of the entity; determines how any entity reference is interpreted.

Possible values:
Responses
200

Response to /api/v1/{role}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
patch/api/v1/{role}
PATCH /api/v1/{role} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "affiliation": "CUSTOMER",
  "aspects": [
    {
      "aspect": {},
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "relation": "text"
    }
  ],
  "reference": "text",
  "type": "INDIVIDUAL"
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "entity": {
    "affiliation": "CUSTOMER",
    "aspects": [
      {
        "aspect": {},
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "relation": "text"
      }
    ],
    "reference": "text",
    "type": "INDIVIDUAL"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_modified": "2026-01-01T00:00:00.000Z",
  "reference": "text",
  "revision": 1,
  "role": "CUSTOMER",
  "state": "VALID"
}
delete

Delete entity by reference

Path parameters
rolestringRequired
idRefstringRequired
Responses
200

Response to /api/v1/{role}/{idRef}

No content

delete/api/v1/{role}/{idRef}
DELETE /api/v1/{role}/{idRef} HTTP/1.1
Host: api.example.com
Accept: */*

No content

Last updated